## Function

The SQL syntax elements for Oracle Version 7 and MaxDB in SQL mode ORACLE differ, among other things, in the definition of functions.

· The following Oracle functions are not supported as functions in MaxDB:

- CHARTOROWID

- ROWIDTOCHAR

- CONVERT

- DUMP

- USERENV

- NLS_INITCAP

- NLS_LOWER

- NLS_UPPER

- TO_MULTI_BYTE

- TO_SINGLE_BYTE

- INSTRB

- LENGTHB

- SUBSTRB

· When string functions LPAD and RPAD are specified in MaxDB, the character string x cannot be longer than n.

· When string function SUBSTR is specified in MaxDB, it cannot be less than 1.

· When the function INSTR is specified in MaxDB, the parameter "n" must not be smaller than 1.

· When functions TO_CHAR, TO_DATE, and TO_NUMBER are specified in MaxDB, the parameter "nlsparams" is not available.